Jump to content


Photo

Mediaportal-Update fehlerhaft


  • Please log in to reply
58 replies to this topic

Re: Mediaportal-Update fehlerhaft #41 dhwz

  • Senior Member
  • 224 posts

+19
Neutral

Posted 18 July 2020 - 12:19

No but MediaPortal relies on the correct version, YouTube playback will not work if outdated versions are installed, thats why the package depends on the proper package version of youtube-dl.
If you build with AUTOREV it doesn't know that you have maybe or maybe not installed the right version.

Re: Mediaportal-Update fehlerhaft #42 WanWizard

  • Forum Moderator
    PLi® Core member
  • 53,924 posts

+1,071
Excellent

Posted 18 July 2020 - 12:35

So the problem is not the code, it is the fact you check something you shouldn't check?

 

We build from source using a PR server, so most packages have an arbitrary version without any meaning.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), Octagon SF8008 (S2+T2), SAB Alpha Triple HD (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Mediaportal-Update fehlerhaft #43 dhwz

  • Senior Member
  • 224 posts

+19
Neutral

Posted 18 July 2020 - 12:38

No I don't check anything. The package depends on >= 2020.06.16 which you don't fulfill if you build AUTOREV.
Why shouldn't I use the correct depend not every Image builds AUTOREV which would make YouTube playback impossible without requesting the right version.

Edited by dhwz, 18 July 2020 - 12:40.


Re: Mediaportal-Update fehlerhaft #44 WanWizard

  • Forum Moderator
    PLi® Core member
  • 53,924 posts

+1,071
Excellent

Posted 18 July 2020 - 12:52

You are making assumptions on the version of the code based on some arbitrary number in the package name. This issue provides that assumption is false.

 

I can turn your statement around: why should you use it as a dependency simply because your favorite image doesn't build packages using AUTOREV?

 

If you want to know you have the correct version, you can simply check the packages version string. Which is always correct.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), Octagon SF8008 (S2+T2), SAB Alpha Triple HD (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Mediaportal-Update fehlerhaft #45 dhwz

  • Senior Member
  • 224 posts

+19
Neutral

Posted 18 July 2020 - 13:03

I don't assumpt anything you are the one building packages with fake package versions. The whole packaging system relies on it that the content of the package is the right one. Have you ever seen a package on Debian doing nonsense like that?

I don't care about your image or any other one, I just enforce that the proper and right package is installed, and not just some package with fake package version.


Edited by dhwz, 18 July 2020 - 13:13.


Re: Mediaportal-Update fehlerhaft #46 rantanplan

  • Senior Member
  • 318 posts

+10
Neutral

Posted 18 July 2020 - 13:30

@dhwz

You always want to have a special version and set this manually in your Depends.
That does not have to be at all and does unnecessary work.
It would also be sufficient to send the youtube.dl as date without specifying a date.
But then it would obviously not be 'special' enough for you.



Re: Mediaportal-Update fehlerhaft #47 WanWizard

  • Forum Moderator
    PLi® Core member
  • 53,924 posts

+1,071
Excellent

Posted 18 July 2020 - 13:38

I don't assumpt anything you are the one building packages with fake package versions. The whole packaging system relies on it that the content of the package is the right one. Have you ever seen a package on Debian doing nonsense like that?

I don't care about your image or any other one, I just enforce that the proper and right package is installed, and not just some package with fake package version.

 

I don't do Debian, so no idea what they do. Don't really care either.

 

This is about you depriving a group of your users from being able to use your work, because you can't be bothered to accomodate the platform those users like to use.

 

So in the meantime I've updated the recipe and pinned the 7.3-release version on 2020.06.16.1, because we do care about our users...


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), Octagon SF8008 (S2+T2), SAB Alpha Triple HD (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Mediaportal-Update fehlerhaft #48 dhwz

  • Senior Member
  • 224 posts

+19
Neutral

Posted 18 July 2020 - 13:45

@rantanplan

 

It would also be sufficient to send the youtube.dl as date without specifying a date.

Did you mean "as depend without..."?

 

That will not work YouTube changes things to often, which results in making youtube-dl non-working for it and then only results in new python exceptions and users which don't know why it is no longer working. Consequence of this a newer minimum version for youtube-dl is required.


Edited by dhwz, 18 July 2020 - 13:46.


Re: Mediaportal-Update fehlerhaft #49 WanWizard

  • Forum Moderator
    PLi® Core member
  • 53,924 posts

+1,071
Excellent

Posted 18 July 2020 - 13:47

Which is not the issue.

 

We build with AUTOREV, so our python-youtube-dl version is always HEAD at the time of build. Nothing wrong with the version of the code, it is up to date and works fine. It is your dependency check that rejects it.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), Octagon SF8008 (S2+T2), SAB Alpha Triple HD (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Mediaportal-Update fehlerhaft #50 kalehrl

  • Senior Member
  • 419 posts

+7
Neutral

Posted 18 July 2020 - 13:48

I've just done opkg update && opkg upgrade which updated youtube_dl after which mediaportal installed without errors.



Re: Mediaportal-Update fehlerhaft #51 dhwz

  • Senior Member
  • 224 posts

+19
Neutral

Posted 18 July 2020 - 13:50

@WanWizard 

Finally accept that OpenPLi is NOT center of the world, that is NOT how packaging systems work (doesn't matter if IPK or DEB), the package content has to match the package version provided in CONTROL/DEBIAN file. Anything else is a corrupted package. EOD

FYI I said that before I don't care about PLi the users are not even allowed to install and use it but they are still doing it, so it's not my problem at all.

 

Oh and to make it even easiser for you the plugin has already been migrated to Python3 which makes it totally unusable in near future.


Edited by dhwz, 18 July 2020 - 13:55.


Re: Mediaportal-Update fehlerhaft #52 babsy98

  • Senior Member
  • 150 posts

+9
Neutral

Posted 18 July 2020 - 14:09

dont forget to say only for dreambox



Re: Mediaportal-Update fehlerhaft #53 rantanplan

  • Senior Member
  • 318 posts

+10
Neutral

Posted 18 July 2020 - 14:30

@dhwz

That has nothing to do with pli!

Also in the OE Alliance you always have to run your special depends.
Again it would be enough to enter the Youtube.dl without a date.
As in the OE Alliance, the date must be painstakingly adjusted to your desired date each time.

 

https://github.com/o...7a0de99c4cdf590


Edited by rantanplan, 18 July 2020 - 14:34.


Re: Mediaportal-Update fehlerhaft #54 dhwz

  • Senior Member
  • 224 posts

+19
Neutral

Posted 18 July 2020 - 14:38

Which was 3 days before I even published the update, so no that had nothing to do with MP.

As said depends without version numbers do not work, and the packaging system will not enforce/update the package.

 

Easy solution, just DON'T install packages which are not made for your image. :)


Edited by dhwz, 18 July 2020 - 14:39.


Re: Mediaportal-Update fehlerhaft #55 WanWizard

  • Forum Moderator
    PLi® Core member
  • 53,924 posts

+1,071
Excellent

Posted 18 July 2020 - 14:43

Nonsense, the GITPV is in the package version, so it always updates if there is a new commit.

 

This is exactly why we use it, I have better things to do than to manually check and update PVs for hunderds of packages every day.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), Octagon SF8008 (S2+T2), SAB Alpha Triple HD (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Mediaportal-Update fehlerhaft #56 saerdnast

  • Senior Member
  • 26 posts

0
Neutral

Posted 19 July 2020 - 11:31

Bei mir kommt immer Update fehlgeschlagen

 

 

 

Receiver geupdatet aber es kommt die Meldung

 

Collected errors:
 * Solver encountered 1 problem(s):
 * Problem 1/1:
 *   - nothing provides python-youtube-dl >= 2020.06.16 needed by enigma2-plugin-extensions-mediaportal-2020053103.all
 *
 * Solution 1:
 *   - do not ask to install enigma2-plugin-extensions-mediaportal-2020053103.all

 

 

wo bekomme ich die neue python-youtube-dl_xxxxxxxx_armv7ahf-neon.ipk her ?

 

Oder ist ein Fehler beim Update von Mediaportal?

 

Mediaportal gelöscht und die Neuste Mediaporta.ipkl vom 17.7 runtergeladen und versucht von Hand zu installieren geht alles nicht
 


Edited by saerdnast, 19 July 2020 - 11:33.


Re: Mediaportal-Update fehlerhaft #57 ricki

  • Senior Member
  • 311 posts

+2
Neutral

Posted 19 July 2020 - 12:18

Bei mir kommt immer Update fehlgeschlagen

 

 

 

Receiver geupdatet aber es kommt die Meldung

 

Collected errors:
 * Solver encountered 1 problem(s):
 * Problem 1/1:
 *   - nothing provides python-youtube-dl >= 2020.06.16 needed by enigma2-plugin-extensions-mediaportal-2020053103.all
 *
 * Solution 1:
 *   - do not ask to install enigma2-plugin-extensions-mediaportal-2020053103.all

 

 

wo bekomme ich die neue python-youtube-dl_xxxxxxxx_armv7ahf-neon.ipk her ?

 

Oder ist ein Fehler beim Update von Mediaportal?

 

Mediaportal gelöscht und die Neuste Mediaporta.ipkl vom 17.7 runtergeladen und versucht von Hand zu installieren geht alles nicht

 

 

I've just done opkg update && opkg upgrade which updated youtube_dl after which mediaportal installed without errors.


 


Edited by ricki, 19 July 2020 - 12:19.


Re: Mediaportal-Update fehlerhaft #58 saerdnast

  • Senior Member
  • 26 posts

0
Neutral

Posted 19 July 2020 - 17:21

openpli 7.3-release vuzero4k

vuzero4k login: root
Last login: Sun Jul 19 18:07:16 CEST 2020 on pts/0
root@vuzero4k:~# opkg update && opkg upgrade
Downloading http://downloads.openpli.org/feeds/openpli-7-release/3rd-party-armv7                                                                                                             ahf-neon/Packages.gz.
Updated source 'openpli-3rd-party-armv7ahf-neon'.
Downloading http://downloads.openpli.org/feeds/openpli-7-release/3rd-party/Packa                                                                                                             ges.gz.
Updated source 'openpli-3rd-party'.
Downloading http://downloads.openpli.org/feeds/openpli-7-release/3rd-party-vuzer                                                                                                             o4k/Packages.gz.
Updated source 'openpli-3rd-party-vuzero4k'.
Downloading http://downloads.openpli.org/feeds/openpli-7-release/all/Packages.gz                                                                                                             .
Updated source 'openpli-all'.
Downloading http://downloads.openpli.org/feeds/openpli-7-release/armv7ahf-neon/P                                                                                                             ackages.gz.
Updated source 'openpli-armv7ahf-neon'.
Downloading http://downloads.openpli.org/feeds/openpli-7-release/picons/Packages                                                                                                             .gz.
Updated source 'openpli-picons'.
Downloading http://downloads.openpli.org/feeds/openpli-7-release/vuzero4k/Packag                                                                                                             es.gz.
Updated source 'openpli-vuzero4k'.
No packages installed or removed.
root@vuzero4k:~#



Habe ich gemacht Updates trotzdem Fehler Mediaportal Update Fehlgeschlagen.



Re: Mediaportal-Update fehlerhaft #59 saerdnast

  • Senior Member
  • 26 posts

0
Neutral

Posted 19 July 2020 - 19:41

Das komische auf die Vu Zero HD meiner Tochter habe ich OpenAtv noch drauf da ist Mediaportal vom 31.05. drauf da macht bzw will er kein Update machen.

Warum will er auf die 3 anderen Receiver mit OpenPli ein Update machen?

 

Ist da irgendwas falsch gelaufen?   Und auf allen habe ich die YouTube.......dll  drauf und auf allen ist Mediaportal vom 31.05 mit py     am Ende






2 user(s) are reading this topic

0 members, 2 guests, 0 anonymous users